DefaultEntryPointResolverSet (Mule ESB 2.2.1 API)
Keywords: org.mule.model.resolvers.DefaultEntryPointResolverSet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.model.resolvers
Class DefaultEntryPointResolverSet

    java.lang.Object
      org.mule.model.resolvers.DefaultEntryPointResolverSet

All Implemented Interfaces:
  EntryPointResolverSet

Direct Known Subclasses:
  LegacyEntryPointResolverSet

    public class DefaultEntryPointResolverSet

extends Object
implements EntryPointResolverSet

Provides the default implementation of an `EntryPointResolverSet` It resolves a method to call on the given service when an event is received. This object maintains a set of Resolvers that will be used in order to resolve an entrypoint on a service object until one is found or until the set is exhausted.

Field Summary
`protected Log` | `logger`

Constructor Summary
`DefaultEntryPointResolverSet()`

Method Summary
`void` | `addEntryPointResolver(EntryPointResolver resolver)` Will add a resolver to the list of resolvers to invoke on a compoent.
`Set` | `getEntryPointResolvers()`
`Object` | `invoke(Object component, MuleEventContext context)`
`boolean` | `removeEntryPointResolver(EntryPointResolver resolver)` Removes a resolver from the list
`void` | `setEntryPointResolvers(Set entryPointResolvers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final Log logger

Constructor Detail

### DefaultEntryPointResolverSet

    public DefaultEntryPointResolverSet()

Method Detail

### invoke

    public Object invoke(Object component,
                         MuleEventContext context)
                  throws Exception

  Specified by:
    `invoke` in interface `EntryPointResolverSet`
  Throws:
    `Exception`

### getEntryPointResolvers

    public Set getEntryPointResolvers()

### setEntryPointResolvers

    public void setEntryPointResolvers(Set entryPointResolvers)

### addEntryPointResolver

    public void addEntryPointResolver(EntryPointResolver resolver)

  Description copied from interface: `EntryPointResolverSet`
  Will add a resolver to the list of resolvers to invoke on a compoent. Implementations must maintain an ordered list of resolvers

  Specified by:
    `addEntryPointResolver` in interface `EntryPointResolverSet`
  Parameters:
    `resolver` - the resolver to add

### removeEntryPointResolver

    public boolean removeEntryPointResolver(EntryPointResolver resolver)

  Description copied from interface: `EntryPointResolverSet`
  Removes a resolver from the list

  Specified by:
    `removeEntryPointResolver` in interface `EntryPointResolverSet`
  Parameters:
    `resolver` - the resolver to remove
  Returns:
    true if the resolver was found and removed from the list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.